-- use of others exception with sqlcode and sqlerrm 
SET SERVEROUTPUT ON;
DECLARE
   v_zip VARCHAR2(5) := '&sv_zip';
   v_city VARCHAR2(15);
   v_state CHAR(2);

   v_err_code NUMBER;
   v_err_msg VARCHAR2(200);

BEGIN
		SELECT city, state 
		INTO v_city, v_state
		FROM zipcode 
		WHERE zip = v_zip; 
		DBMS_OUTPUT.PUT_LINE(v_city || ' ' || v_state);
EXCEPTION
	WHEN OTHERS
	THEN
	 	v_err_code  := SQLCODE;
		v_err_msg := SUBSTR(SQLERRM, 1, 200);
		DBMS_OUTPUT.PUT_LINE('Error code: '|| v_err_code);
		DBMS_OUTPUT.PUT_LINE('Error message : '|| v_err_msg);
END;
/
