-- nesting of blocks and outer block captures inner exception 
-- occurring in the declaration or exception handling part of 
-- inner block 

SET SERVEROUTPUT ON;
DECLARE
	v_my_name VARCHAR2(15) := 'ELENA ';
BEGIN
 	DBMS_OUTPUT.PUT_LINE('My name is ' ||  v_my_name);
	
	-- an inner block begins
	DECLARE
		v_your_name VARCHAR2(15) := '&sv_your_name';
		BEGIN
		 DBMS_OUTPUT.PUT_LINE('Your name is ' ||  v_your_name);
		EXCEPTION
		 WHEN VALUE_ERROR
		  THEN
			 DBMS_OUTPUT.PUT_LINE
			  ('Error in the inner block');
			  DBMS_OUTPUT.PUT_LINE('Name is too long');
		END;
 EXCEPTION
	WHEN VALUE_ERROR 
	THEN
		 DBMS_OUTPUT.PUT_LINE('Error in the outer block'); 
		 DBMS_OUTPUT.PUT_LINE('Name is too long');
END;	
/
