-- use of raise_application_error with builtin exception 

SET SERVEROUTPUT ON;
DECLARE
	v_student_id STUDENT.STUDENT_ID%TYPE := &sv_student_id;
	v_name VARCHAR2(50);

BEGIN
	SELECT first_name || ' ' || last_name 
	 INTO v_name
	 FROM student
	 WHERE student_id = v_student_id;
 	DBMS_OUTPUT.PUT_LINE(v_name);
	
 EXCEPTION
	WHEN NO_DATA_FOUND 
	THEN
	RAISE_APPLICATION_ERROR(-20001, 'This is invalid');
END;	
/
