-- use of raise_application_error without builtin exception 
-- this works with unnamed user defined exceptions like -ve id below. 

SET SERVEROUTPUT ON;
DECLARE
	v_student_id STUDENT.STUDENT_ID%TYPE := &sv_student_id;
	v_total_courses NUMBER;
BEGIN
	IF v_student_id < 0
	THEN
	 RAISE_APPLICATION_ERROR
	  (-20000, 'An id cannot be negative');
	ELSE
	 SELECT count(*) 
	 INTO v_total_courses 
	 FROM enrollment 
	 WHERE student_id = v_student_id;
 	DBMS_OUTPUT.PUT_LINE('The student is registered for '|| 
	 v_total_courses || ' courses');
	END IF;
END;	
/
