-- example use of CURSOR with more than one attribute and %ROWTYPE

DECLARE
v_stu 	student%ROWTYPE;
CURSOR c_student IS
SELECT student_id, last_name, first_name
FROM student
WHERE student_id < 110;
BEGIN
	OPEN c_student;
	LOOP
		FETCH c_student INTO v_stu.student_id, v_stu.last_name, v_stu.first_name; 
		EXIT WHEN c_student % NOTFOUND;
		DBMS_OUTPUT.PUT_LINE('STUDENT ID:' || v_stu. student_id || ' '  || v_stu.last_name || '  '  || v_stu.first_name);
	END LOOP;
	CLOSE c_student;
	EXCEPTION
		WHEN OTHERS
		THEN
			IF c_student % ISOPEN
			THEN
				CLOSE c_student;
			END IF;
END;
/
