-- showing use of cursor with parameters
-- e.g. get all students called John

SET SERVEROUTPUT ON;
DECLARE
v_sname student.first_name%TYPE;
CURSOR c_student(p_name IN student.first_name%TYPE) IS 
SELECT first_name
FROM student
WHERE first_name = p_name; 
BEGIN
	OPEN c_student('John');
	LOOP
		FETCH c_student INTO v_sname;
		EXIT WHEN c_student % NOTFOUND;
		DBMS_OUTPUT.PUT_LINE('STUDENT ID:' || v_sname);
	END LOOP;
	CLOSE c_student;
	EXCEPTION
		WHEN OTHERS
		THEN
			IF c_student % ISOPEN
			THEN
				CLOSE c_student;
			END IF;
END;
/


