/* this block shows example error in the declaration section that 
is not caught in the Exception section of this block.  Also, 
the condition to handle the error with EXIT statement is blocked.  */

-- example use of CURSOR with %TYPE

SET SERVEROUTPUT ON;
DECLARE
v_sid student.student_id%TYPE;

CURSOR c_student IS
SELECT student_id
FROM student
WHERE student_id < 100;
BEGIN
	OPEN c_student;
	LOOP
		FETCH c_student INTO v_sid;
--		EXIT WHEN c_student % NOTFOUND;
		DBMS_OUTPUT.PUT_LINE('STUDENT ID:' || v_sid);
	END LOOP;
	CLOSE c_student;
	EXCEPTION
		WHEN NO_DATA_FOUND 
		THEN
		DBMS_OUTPUT.PUT_LINE('NO ROWS RETRIEVED FOR CURSOR');
END;
/


