-- example of a user defined exception

SET SERVEROUTPUT ON;
DECLARE
v_student_id  NUMBER := &sv_student_id;
v_total_courses NUMBER;
e_invalid_id EXCEPTION;

BEGIN
 IF v_student_id < 0
	THEN
		RAISE e_invalid_id;
	ELSE
		SELECT count(*)
		INTO v_total_courses
		FROM enrollment
		WHERE student_id = v_student_id;
		DBMS_OUTPUT.PUT_LINE('The student is registered for ' ||	v_total_courses || ' Courses');
	END IF;

EXCEPTION 
	WHEN e_invalid_id 
	THEN
	  DBMS_OUTPUT.PUT_LINE('The entered id is invalid');
END;
/
