-- user defined exception with cursor

SET SERVEROUTPUT ON;
DECLARE
	CURSOR course_cur IS
	    SELECT course_no 
	    FROM course;

	    v_total NUMBER;
	    e_no_sections EXCEPTION;

BEGIN
	FOR course_rec in course_cur
	LOOP
	  BEGIN
		SELECT count(*)
		INTO v_total
		FROM section 
		WHERE course_no = course_rec.course_no;
		
		IF v_total = 0
		 THEN 
		   RAISE e_no_sections;
		 ELSE 
		   DBMS_OUTPUT.PUT_LINE('Course,' ||	course_rec.course_no || ' has ' || v_total || ' sections ');
		END IF;
	EXCEPTION
	WHEN e_no_sections 
	THEN
		 DBMS_OUTPUT.PUT_LINE(' There are no sections for 
		course '||  course_rec.course_no);
	  END;
	END LOOP;
END;	
/
