-- use of exception_init pragma to associate user exception with number
-- try with zip 06870 that has a child record in student table

SET SERVEROUTPUT ON;
DECLARE
	v_zip ZIPCODE.ZIP%TYPE := &sv_zip;
	e_child_exists EXCEPTION;
	PRAGMA  EXCEPTION_INIT(e_child_exists, -2292);

BEGIN
	DELETE FROM zipcode
	WHERE zip = v_zip;
	DBMS_OUTPUT.PUT_LINE('Zip '|| v_zip || ' has been deleted');
	COMMIT;

EXCEPTION
	WHEN e_child_exists 
	THEN 
	DBMS_OUTPUT.PUT_LINE('Delete students for this zipcode first');
END;	
/
