-- example declaration of a function

CREATE OR REPLACE FUNCTION
Show_description(i_course_no NUMBER)
	RETURN VARCHAR2
AS
	v_description VARCHAR2(50);
BEGIN
	SELECT description
	INTO v_description
	FROM course
	WHERE course_no = i_course_no;
	RETURN v_description;
EXCEPTION
WHEN NO_DATA_FOUND
THEN
	RETURN ('The cursor is not in the database');
	
WHEN OTHERS
THEN
	RETURN ('Error in running show_description');
END;	
/
