-- example declaration of a function
-- having also output parameter

CREATE OR REPLACE FUNCTION
Show_description_cost(i_course_no NUMBER, v_cost out COURSE.COST%TYPE)
	RETURN VARCHAR2
AS
	v_description VARCHAR2(50);
BEGIN
	SELECT description, cost
	INTO v_description, v_cost
	FROM course
	WHERE course_no = i_course_no;
	RETURN v_description;
EXCEPTION
WHEN NO_DATA_FOUND
THEN
	RETURN ('The cursor is not in the database');
	
WHEN OTHERS
THEN
	RETURN ('Error in running show_description');
END;	
/
