-- showing use of before trigger

CREATE OR REPLACE TRIGGER student_bi
BEFORE INSERT ON student 
FOR EACH ROW
DECLARE
v_student_id STUDENT.STUDENT_ID % TYPE;
BEGIN
	SELECT STUDENT_ID_SEQ.NEXTVAL
	INTO v_student_id
	FROM dual;
	:NEW.student_id := v_student_id;
	:NEW.created_by := USER;
	:NEW.created_date := SYSDATE;
	:NEW.modified_by := USER;
	:NEW.modified_date := SYSDATE;
END;
/
