-- example of several variable types and date conversion functions.

SET SERVEROUTPUT ON;

DECLARE
     	v_lname VARCHAR2(30);
	v_regdate DATE := TO_DATE('15-FEB-2006');
	v_pctincr CONSTANT NUMBER(4,2) := 1.15;
	v_counter NUMBER := 0;
	v_binteger binary_integer := 456;
	v_new_cost course.cost % TYPE;
	v_yorn BOOLEAN := TRUE;
	v_day VARCHAR2(15);
	v_num1 NUMBER := &sv_num;
	v_letter_grade  CHAR(1);

BEGIN

	v_day := TO_CHAR(v_regdate, 'DAY');
	DBMS_OUTPUT.PUT_LINE('Registration Day is on ' || v_day );
	DBMS_OUTPUT.PUT_LINE('Full Registration Date is on ' || v_regdate);
	v_num1 := v_num1 *  v_pctincr + v_binteger;
	DBMS_OUTPUT.PUT_LINE('Modified Num1 is ' || v_num1 );

--	More on how to use the %TYPE and BOOLEAN 
	IF v_yorn  THEN 
		SELECT COST INTO v_new_cost 
		FROM COURSE WHERE COURSE_NO = 430;
	END IF;

	DBMS_OUTPUT.PUT_LINE('The cost of JDeveloper Techniques is: ' || v_new_cost);
	DBMS_OUTPUT.PUT_LINE('The cost of JDeveloper Techniques is: ' || TO_CHAR(v_new_cost, '$9999.99'));


END;
/
